# gdcm::SwapCode Class Reference

SwapCode representation. More...

`#include <gdcmSwapCode.h>`

List of all members.

## Public Types

enum | SwapCodeType { Unknown = 0, LittleEndian = 1234, BigEndian = 4321, BadLittleEndian = 3412, BadBigEndian = 2143 }

## Public Member Functions

| SwapCode (SwapCodeType sc=Unknown)
| operator SwapCode::SwapCodeType () const

## Static Public Member Functions

static const char * | GetSwapCodeString (SwapCode const &sc)

## Static Protected Member Functions

static int | GetIndex (SwapCode const &sc)

## Friends

std::ostream & | operator<< (std::ostream &os, const SwapCode &sc)

## Detailed Description

SwapCode representation.

Examples:

  TestByteSwap.cxx.

## Member Enumeration Documentation

enum gdcm::SwapCode::SwapCodeType

Enumerator:

  Unknown |
  LittleEndian |
  BigEndian |
  BadLittleEndian |
  BadBigEndian |

## Constructor & Destructor Documentation

gdcm::SwapCode::SwapCode | ( | SwapCodeType | sc = `Unknown` | ) | `[inline]`

## Member Function Documentation

static int gdcm::SwapCode::GetIndex | ( | SwapCode const & | sc | ) | `[static, protected]`

static const char* gdcm::SwapCode::GetSwapCodeString | ( | SwapCode const & | sc | ) | `[static]`

Referenced by gdcm::operator<<().

gdcm::SwapCode::operator SwapCode::SwapCodeType | ( |  | ) | const`[inline]`

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const SwapCode & | sc
| ) |  | `[friend]`

The documentation for this class was generated from the following file:

- gdcmSwapCode.h